Name:           python-apispec
Version:        6.8.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A pluggable API specification generator. Currently supports the OpenAPI Specification (f.k.a. the Swagger specification).

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/marshmallow-code/apispec
Source:         %{pypi_source apispec}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'apispec' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-apispec
Summary:        %{summary}

%description -n python3-apispec %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-apispec dev,docs,marshmallow,tests,yaml


%prep
%autosetup -p1 -n apispec-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,docs,marshmallow,tests,yaml


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-apispec -f %{pyproject_files}


%changelog
%autochangelog